[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "mgm"
version = "1.0.0"
description = "Mini-Gemini: Mining the Potential of Multi-modality Vision Language Models."
readme = "README.md"
requires-python = ">=3.8"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: Apache Software License",
]
dependencies = [
    "transformers==4.38.2", "tokenizers==0.15.2", "sentencepiece==0.1.99", "shortuuid",
    "accelerate==0.27.2", "peft==0.4.0", 
    "pydantic==2.8.2", "markdown2[all]", "numpy", "scikit-learn==1.2.2",
    "gradio==4.24.0", "gradio_client==0.14.0",
    "requests", "httpx==0.24.1", "uvicorn", "fastapi",
    "einops==0.6.1", "einops-exts==0.0.4", "timm==0.9.16",
    "open-clip-torch", "diffusers==0.26.3", "openai", "word2number", "Levenshtein", "datasets", "wandb"
]

[project.optional-dependencies]
train = ["ninja", "wandb"]
build = ["build", "twine"]

[project.urls]
"Homepage" = "https://github.com/dvlab-research/MGM"
"Bug Tracker" = "https://github.com/dvlab-research/MGM/issues"

[tool.setuptools.packages.find]
exclude = ["assets*", "benchmark*", "docs", "dist*", "playground*", "scripts*", "tests*", "data*", "model_zoo*", "work_dirs*", "project*"]

[tool.wheel]
exclude = ["assets*", "benchmark*", "docs", "dist*", "playground*", "scripts*", "tests*", "data*", "model_zoo*", "work_dirs*", "project*"]
